org.springframework.data.repository.config

## Class RepositoryNameSpaceHandler

- java.lang.Object
- - org.springframework.beans.factory.xml.NamespaceHandlerSupport
  - - org.springframework.data.repository.config.RepositoryNameSpaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class RepositoryNameSpaceHandler
    extends NamespaceHandlerSupport

`NamespaceHandler` to register `BeanDefinitionParser`s for repository initializers.

Since:
  1.4
Author:
  Oliver Gierke, Christoph Strobl

### Constructor Summary

Constructors
Constructor and Description
`RepositoryNameSpaceHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init()`

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryNameSpaceHandler

    public RepositoryNameSpaceHandler()

### Method Detail

#### init

    public void init()